emergency_restart_threshold = 10
emergency_restart_interval = 1m
process_control_timeout = 10s

[kimai]
user = nobody
group = www-data
listen = [::0]:9000
process.dumpable = no
pm = dynamic
pm.max_children = {{ ([ ansible_processor_nproc - 1, 1 ] | max) * 5 }}
pm.start_servers = {{ ((([ ansible_processor_nproc - 1, 1 ] | max) + ([ ansible_processor_nproc - 1, 1 ] | max) * 2) / 2) | int }}
pm.min_spare_servers = {{ [ ansible_processor_nproc - 1, 1 ] | max }}
pm.max_spare_servers = {{ ([ ansible_processor_nproc - 1, 1 ] | max) * 2 }}
pm.max_requests = 500
pm.status_path = /status
pm.status_listen = [::0]:9001
ping.path = /ping
ping.response = pong
access.log = syslog
access.format = "%t %n \"%m %r%Q%q\" %s %f %{milli}d %{kilo}M %C%% %l"
slowlog = syslog
request_slowlog_timeout = {{ max_execution_time }}
request_terminate_timeout = {{ max_execution_time }}
chdir = {{ sutty_kimai_dest }}
catch_workers_output = yes
decorate_workers_output = yes
clear_env = yes
security.limit_extensions = .php
env[TMP] = /tmp
env[TMPDIR] = /tmp
env[TEMP] = /tmp
php_value[upload_tmp_dir] = /tmp
php_value[upload_max_filesize] = {{ max_upload_size }}
php_value[post_max_size] = {{ max_upload_size }}
php_value[sendmail_path] = /usr/bin/sendmail -t -i -f{{ sutty_kimai_email }}
php_value[error_log] = syslog
php_value[memory_limit] = 256M
php_value[max_input_vars] = 5000
php_value[max_execution_time] = {{ max_execution_time }}
php_flag[log_errors] = on
php_flag[display_errors] = off
